phpinfo()和convert --version显示ImageMagick的不同版本

 收藏

我正在运行CentOS 7.7,几天前我注意到我的ImageMagick库缺少ImagickKernel类。因此,经过大量研究,我得出的结论是我正在运行一个过时的ImageMagick库6.7.8-9,即使一切都显示出它是最新的... 我设法从源代码安装了最新版本,现在当我尝试'convert --version'时,它显示7.0.10-2看起来不错,但是phpinfo仍显示旧版本6.7.8-9。 ..

我猜这是因为php扩展名是用旧版本编译的,但是我在此上找不到任何帮助

回复